Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82507 - RFE: orinoco_cs: option _not_ to use the default ethXX name.
Summary: RFE: orinoco_cs: option _not_ to use the default ethXX name.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On: 100622
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-22 22:18 UTC by Aleksey Nogin
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-19 16:57:17 UTC


Attachments (Terms of Use)
Quick patch to add names= parameter. (deleted)
2003-01-23 04:11 UTC, Aleksey Nogin
no flags Details | Diff

Description Aleksey Nogin 2003-01-22 22:18:32 UTC
When a laptop has several removable net devices of different kind (wired/wirelss
in particular), it is much easier to handle the configuration when there is a
clear namespace separation. Both wavelan_cs (name=name1[,name2[,name3[,name4]]]
module param) and wvlan_cs (eth=0 module param) have the ability to use a device
name outside of the usual ethXX hierarchy. Now that the wvlan_cs driver is being
phased out by the orinoco_cs driver, it would be really nice if orinoco_cs
supported this feature as well.

Comment 1 Aleksey Nogin 2003-01-23 04:11:45 UTC
Created attachment 89540 [details]
Quick patch to add names= parameter.

I wrote a quick patch that adds a names= module parameter (similar to that of
wavelan_cs).

Comment 2 Bill Nottingham 2003-02-19 16:57:17 UTC
This needs to be done upstream.

Comment 3 Aleksey Nogin 2003-02-20 01:51:40 UTC
Well, without that change *RedHat* is the one removing the functionality that
used to exist in 8.0 (when the wvlan_cs driver was used). Also, I have no
experience with getting things into the kernel...

Also, the way I read https://bugzilla.redhat.com/bugzilla/bug_status.cgi,
"CLOSED UPSTREAM" means that it was actually reported upstream and so far it was
not...


Note You need to log in before you can comment on or make changes to this bug.